/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.etc.action;

import com.clustercontrol.composite.FacilityTreeComposite;

/**
 * ファシリティツリーの更新を実行するタスクです。
 * 
 * @version 2.0.0
 * @since 2.0.0
 */
public class UpdateFacilityTreeTask implements Runnable {

    private FacilityTreeComposite target = null;

    /**
     * コンストラクタ
     * 
     * ファシリティツリーの更新を行うインスタンスを設定
     * 
     * @param updateRepository
     */
    public UpdateFacilityTreeTask(FacilityTreeComposite target) {
        this.target = target;
    }

    /**
     * ファシリティツリーの更新を行います。
     * 
     */
    public void run() {
        this.target.update();
    }
}