#!/bin/sh
RPM_PROC="/bin/rpm -Uvh"
FTP_PROC="/usr/kerberos/bin/ftp"
FTP_HOST="%%hinemos_ftp_host%%"
FTP_USER="hinemos"
FTP_PASSWD="hinemos"
RM_PROC="/bin/rm -f"

#RPMファイル名
rpmfile=${1##/*/}
#RPMファイルリモートパス
remotepath=${1%/*}

echo $rpmfile
echo $remotepath


##
## rpmファイルをサーバからローカルに転送
##
expect -c "
    set timeout 300
    spawn $FTP_PROC $FTP_HOST
    expect {
	Name*:		{}
	Connection*refused	{exit 1}
	timeout		{exit 1}
    }
    send $FTP_USER\r
    expect Password:
    send $FTP_PASSWD\r
    expect {
	successful.	{}
	failed.		{exit 1}
	timeout		{exit 1}
    }
    send \"cd $remotepath\r\"
    expect >
    send \"get $rpmfile\r\"
    expect {
	OK.		{}	
	Failed		{exit 1}
	timeout		{exit 1}
    }
    expect >
    send quit\r
    expect eof
"
if [ $? -ne 0 ] ; then
    echo 'File transfer error' 1>&2
    exit 10
fi

##
## rpmコマンド実行
##
echo "$RPM_PROC $rpmfile"
$RPM_PROC $rpmfile
RETVAL=$?


##
## rpmファイルの削除
##
echo "$RM_PROC $rpmfile"
$RM_PROC $rpmfile

echo "exit $RETVAL"
if [ $RETVAL -ne 0 ] ; then
    exit 20
fi

exit

