#!/bin/sh
USERMOD_PROC="/usr/sbin/usermod"
EXPECT_PROC="/usr/bin/expect"
PASSWD_PROC="/usr/bin/passwd"

##
## 引数格納
##
while [ $# -gt 0 ] 
do
#echo $1
    case $1 in
      -p)
        shift
        pass=$1 
        ;;
      -g)
        shift
        group="-g $1" 
        ;;
      -G)
        shift
        secondarygroup="-G $1" 
        ;;
      -s)
        shift
        shell="-s $1" 
        ;;
      *)
        username=$1
        ;;
    esac

    shift 

done

##
## ユーザ登録
##
param="$group$secondarygroup$shell"
if [ ${#param} -ne 0 ] ; then
    echo "$USERMOD_PROC $group $secondarygroup $shell $username"
    $USERMOD_PROC $group $secondarygroup $shell $username
    if [ $? -ne 0 ] ; then
        exit 3
    fi
fi
##
##　パスワード設定
##
#echo ${#pass}
if [ ${#pass} -ne 0 ] ; then

    $EXPECT_PROC -c "
        spawn -noecho $PASSWD_PROC $username
        expect *password:
        sleep 1
        send $pass\r
        expect *password:
        sleep 1
        send $pass\r
        expect {
        	eof	{exit}
        	timeout {exit 2}
        }
    "
fi
exit

