/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.bean;

import com.clustercontrol.bean.PropertyConstant;

/**
 * パラメータタイプ定数クラス
 *
 * @version 2.1.0
 * @since 1.0.0
 */
public class ParameterTypeConstant extends PropertyConstant {
	/** 文字列 */
    public static final int TYPE_STRING = 0;
	/** パスワード */
    public static final int TYPE_PASSWORD = 1;
	/** 選択 */
    public static final int TYPE_SELECT = 2;
    
	/**
	 * パラメータタイプからエディターに変換する
	 * 
	 * @param type
	 * @return
	 */
	public static String paramTypeToEditor(int type){
		if(type == TYPE_STRING){
			return EDITOR_TEXT;
		}
		else if(type == TYPE_PASSWORD){
			return EDITOR_PASSWORD;
		}
		else if(type == TYPE_SELECT){
			return EDITOR_SELECT;
		}
		return "";
	}
}
