/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.collectiverun.ejb.entity;

import java.util.Collection;


/**
 *
 * <!-- begin-user-doc --> You can insert your documentation for '<em><b>CRunTypeMstBean</b></em>'. <!-- end-user-doc --> *
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="CRunTypeMst"
 *	jndi-name="CRunTypeMst"
 *	type="CMP" 
 *  primkey-field="type_id"
 *  schema="CRunTypeMst" 
 *  cmp-version="2.x"
 *  data-source="java:/HinemosDS"
 * 
 * @jboss.depends name="jboss.jca:service=DataSourceBinding,name=HinemosDS"
 * 
 * @ejb.persistence 
 *   table-name="cc_crun_type_mst" 
 *   
 * @ejb.permission
 *     unchecked="true"
 * 
 * @ejb.finder 
 *    query="SELECT OBJECT(a) FROM CRunTypeMst as a"  
 *    signature="java.util.Collection findAll()"
 *    
 * @ejb.finder
 *    query=""
 *    signature="java.util.Collection findAllSortOrderNo()"  
 * @jboss.query
 *    query="SELECT OBJECT(a) FROM CRunTypeMst as a ORDER BY a.order_no ASC"
 *    signature="java.util.Collection findAllSortOrderNo()"  
 *
 * @ejb.pk class="java.lang.String"
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public abstract class CRunTypeMstBean implements javax.ejb.EntityBean {
    
    /**
     *
     * <!-- begin-user-doc -->
     * The  ejbCreate method.
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     * @ejb.create-method 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public java.lang.String ejbCreate(
            String type_id, 
            String name_id, 
            Integer order_no) throws javax.ejb.CreateException {
        setType_id(type_id);
        setName_id(name_id);
        setOrder_no(order_no);
        return null;
    }
    
    /**
     * <!-- begin-user-doc -->
     * The container invokes this method immediately after it calls ejbCreate.
     * <!-- end-user-doc -->
     * 
     * @generated
     */
    public void ejbPostCreate() throws javax.ejb.CreateException {
        // begin-user-code
        // end-user-code
    }
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field type_id
     *
     * Returns the type_id
     * @return the type_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="type_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     * @ejb.pk-field 
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getType_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the type_id
     * 
     * @param java.lang.String the new type_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setType_id(java.lang.String type_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field name_id
     *
     * Returns the name_id
     * @return the name_id
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="name_id"
     *     jdbc-type="VARCHAR"
     *     sql-type="VARCHAR"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.String getName_id();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the name_id
     * 
     * @param java.lang.String the new name_id value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setName_id(java.lang.String name_id);
    
    /**
     *
     *
     * <!-- begin-user-doc -->
     * CMP Field order_no
     *
     * Returns the order_no
     * @return the order_no
     * 
     * <!-- end-user-doc -->
     *
     * <!-- begin-xdoclet-definition --> 
     *
     * @ejb.persistent-field 
     * @ejb.persistence
     *    column-name="order_no"
     *     jdbc-type="SMALLINT"
     *     sql-type="SMALLINT"
     *     read-only="false"
     *  
     *
     * @ejb.interface-method
     * 
     * <!-- end-xdoclet-definition --> 
     * @generated
     */
    public abstract java.lang.Integer getOrder_no();
    
    /**
     * <!-- begin-user-doc -->
     * Sets the order_no
     * 
     * @param java.lang.Integer the new order_no value
     * <!-- end-user-doc -->
     * 
     * <!-- begin-xdoclet-definition --> 
     * @ejb.interface-method
     * <!-- end-xdoclet-definition -->
     * @generated 
     */
    public abstract void setOrder_no(java.lang.Integer order_no);
    
    //	==========================================
    //	 CMR fields
    //	==========================================
    /**
     * @ejb.interface-method view-type="local"
     * 
     * @ejb.relation 
     * name="CRunTypeMst-CRunCmdMst"
     * role-name="CRunTypeMst-CRunCmdMst(single)"
     * 
     */
    public abstract Collection getCmdMst();
    
    /**
     * @ejb.interface-method view-type="local"
     */
    public abstract void setCmdMst(Collection collection);
}
