/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.priority.ejb.entity;

import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * <!-- begin-user-doc --> You can insert your documentation for '<em><b>CalendarInfoBean</b></em>'. <!-- end-user-doc --> *
 *
 * <!-- begin-xdoclet-definition -->
 * @ejb.bean name="PriorityInfo"
 *	jndi-name="PriorityInfo"
 *	type="CMP" 
 *  schema="PriorityInfo" 
 *  cmp-version="2.x"
 *  data-source="java:/HinemosDS"
 *  primkey-field="judgment_id"
 * 
 * @jboss.depends name="jboss.jca:service=DataSourceBinding,name=HinemosDS"
 * 
 * @ejb.persistence 
 *   table-name="cc_priority_info" 
 * 
 * @ejb.permission
 *     unchecked="true"
 *     
 * @ejb.finder 
 *    query="SELECT OBJECT(a) FROM PriorityInfo as a"  
 *    signature="java.util.Collection findAll()"  
 *
 * @ejb.pk class="java.lang.String"
 * <!-- end-xdoclet-definition -->
 * @generated
 **/
public abstract class PriorityInfoBean implements javax.ejb.EntityBean {
	protected static Log m_log = LogFactory.getLog( PriorityInfoBean.class );
	
	/**
	 *
	 * <!-- begin-user-doc -->
	 * The  ejbCreate method.
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.create-method 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public java.lang.String ejbCreate(
			String judgment_id, 
			String description, 
			Integer pattern_01, 
			Integer pattern_02, 
			Integer pattern_03, 
			Integer pattern_04, 
			Integer pattern_05, 
			Integer pattern_06, 
			Integer pattern_07, 
			Integer pattern_08, 
			Integer pattern_09, 
			Integer pattern_10, 
			Integer pattern_11, 
			Integer pattern_12, 
			Integer pattern_13, 
			Integer pattern_14, 
			Integer pattern_15, 
			Date reg_date, 
			Date update_date, 
			String reg_user, 
			String update_user
	) throws javax.ejb.CreateException {
		setJudgment_id(judgment_id);
		setDescription(description);
		setPattern_01(pattern_01);
		setPattern_02(pattern_02);
		setPattern_03(pattern_03);
		setPattern_04(pattern_04);
		setPattern_05(pattern_05);
		setPattern_06(pattern_06);
		setPattern_07(pattern_07);
		setPattern_08(pattern_08);
		setPattern_09(pattern_09);
		setPattern_10(pattern_10);
		setPattern_11(pattern_11);
		setPattern_12(pattern_12);
		setPattern_13(pattern_13);
		setPattern_14(pattern_14);
		setPattern_15(pattern_15);
		setReg_date(reg_date);
		setUpdate_date(update_date);
		setReg_user(reg_user);
		setUpdate_user(update_user);
		return null;
	}
	
	/**
	 * <!-- begin-user-doc -->
	 * The container invokes this method immediately after it calls ejbCreate.
	 * <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public void ejbPostCreate() throws javax.ejb.CreateException {
		// begin-user-code
		// end-user-code
	}
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field judgment_id
	 *
	 * Returns the judgment_id
	 * @return the judgment_id
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="judgment_id"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR"
	 *     read-only="false"
	 * 
	 * @ejb.pk-field 
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.String getJudgment_id();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the judgment_id
	 * 
	 * @param java.lang.String the new judgment_id value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setJudgment_id(java.lang.String judgment_id);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field description
	 *
	 * Returns the description
	 * @return the description
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="description"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR"
	 *     read-only="false"
	 *  
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.String getDescription();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the description
	 * 
	 * @param java.lang.String the new description value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setDescription(java.lang.String description);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_01
	 *
	 * Returns the pattern_01
	 * @return the pattern_01
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_01"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_01();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_01
	 * 
	 * @param java.lang.Integer the new pattern_01 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_01(java.lang.Integer pattern_01);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_02
	 *
	 * Returns the pattern_02
	 * @return the pattern_02
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_02"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_02();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_02
	 * 
	 * @param java.lang.Integer the new pattern_02 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_02(java.lang.Integer pattern_02);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_03
	 *
	 * Returns the pattern_03
	 * @return the pattern_03
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_03"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_03();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_03
	 * 
	 * @param java.lang.Integer the new pattern_03 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_03(java.lang.Integer pattern_03);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_04
	 *
	 * Returns the pattern_04
	 * @return the pattern_04
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_04"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_04();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_04
	 * 
	 * @param java.lang.Integer the new pattern_04 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_04(java.lang.Integer pattern_04);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_05
	 *
	 * Returns the pattern_05
	 * @return the pattern_05
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_05"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_05();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_05
	 * 
	 * @param java.lang.Integer the new pattern_05 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_05(java.lang.Integer pattern_05);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_06
	 *
	 * Returns the pattern_06
	 * @return the pattern_06
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_06"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_06();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_06
	 * 
	 * @param java.lang.Integer the new pattern_06 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_06(java.lang.Integer pattern_06);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_07
	 *
	 * Returns the pattern_07
	 * @return the pattern_07
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_07"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_07();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_07
	 * 
	 * @param java.lang.Integer the new pattern_07 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_07(java.lang.Integer pattern_07);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_08
	 *
	 * Returns the pattern_08
	 * @return the pattern_08
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_08"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_08();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_08
	 * 
	 * @param java.lang.Integer the new pattern_08 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_08(java.lang.Integer pattern_08);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_09
	 *
	 * Returns the pattern_09
	 * @return the pattern_09
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_09"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_09();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_09
	 * 
	 * @param java.lang.Integer the new pattern_09 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_09(java.lang.Integer pattern_09);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_10
	 *
	 * Returns the pattern_10
	 * @return the pattern_10
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_10"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_10();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_10
	 * 
	 * @param java.lang.Integer the new pattern_10 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_10(java.lang.Integer pattern_10);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_11
	 *
	 * Returns the pattern_11
	 * @return the pattern_11
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_11"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_11();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_11
	 * 
	 * @param java.lang.Integer the new pattern_11 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_11(java.lang.Integer pattern_11);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_12
	 *
	 * Returns the pattern_12
	 * @return the pattern_12
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_12"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_12();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_12
	 * 
	 * @param java.lang.Integer the new pattern_12 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_12(java.lang.Integer pattern_12);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_13
	 *
	 * Returns the pattern_13
	 * @return the pattern_13
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_13"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_13();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_13
	 * 
	 * @param java.lang.Integer the new pattern_13 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_13(java.lang.Integer pattern_13);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_14
	 *
	 * Returns the pattern_14
	 * @return the pattern_14
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_14"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_14();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_14
	 * 
	 * @param java.lang.Integer the new pattern_14 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_14(java.lang.Integer pattern_14);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field pattern_15
	 *
	 * Returns the pattern_15
	 * @return the pattern_15
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="pattern_15"
	 *     jdbc-type="SMALLINT"
	 *     sql-type="SMALLINT"
	 *     read-only="false"
	 *     
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.Integer getPattern_15();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the pattern_15
	 * 
	 * @param java.lang.Integer the new pattern_15 value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setPattern_15(java.lang.Integer pattern_15);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field reg_date
	 *
	 * Returns the reg_date
	 * @return the reg_date
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="reg_date"
	 *     jdbc-type="TIMESTAMP"
	 *     sql-type="TIMESTAMP"
	 *     read-only="false"
	 *  
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.util.Date getReg_date();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the reg_date
	 * 
	 * @param java.util.Date the new reg_date value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setReg_date(java.util.Date reg_date);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field update_date
	 *
	 * Returns the update_date
	 * @return the update_date
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="update_date"
	 *     jdbc-type="TIMESTAMP"
	 *     sql-type="TIMESTAMP"
	 *     read-only="false"
	 *  
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.util.Date getUpdate_date();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the update_date
	 * 
	 * @param java.util.Date the new update_date value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setUpdate_date(java.util.Date update_date);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field reg_user
	 *
	 * Returns the reg_user
	 * @return the reg_user
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="reg_user"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR"
	 *     read-only="false"
	 *  
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.String getReg_user();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the description
	 * 
	 * @param java.lang.String the new reg_user value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setReg_user(java.lang.String reg_user);
	
	/**
	 *
	 *
	 * <!-- begin-user-doc -->
	 * CMP Field update_user
	 *
	 * Returns the update_user
	 * @return the update_user
	 * 
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition --> 
	 *
	 * @ejb.persistent-field 
	 * @ejb.persistence
	 *    column-name="update_user"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR"
	 *     read-only="false"
	 *  
	 *
	 * @ejb.interface-method
	 * 
	 * <!-- end-xdoclet-definition --> 
	 * @generated
	 */
	public abstract java.lang.String getUpdate_user();
	
	/**
	 * <!-- begin-user-doc -->
	 * Sets the description
	 * 
	 * @param java.lang.String the new update_user value
	 * <!-- end-user-doc -->
	 * 
	 * <!-- begin-xdoclet-definition --> 
	 * @ejb.interface-method
	 * <!-- end-xdoclet-definition -->
	 * @generated 
	 */
	public abstract void setUpdate_user(java.lang.String update_user);

}
