/*
 
 Copyright (C) 2006 NTT DATA Corporation
 
 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation, version 2.
 
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 */

package com.clustercontrol.repository.action;

import java.rmi.AccessException;
import java.rmi.RemoteException;
import java.util.Hashtable;
import java.util.Locale;

import javax.ejb.CreateException;
import javax.naming.NamingException;

import org.eclipse.jface.dialogs.MessageDialog;


import com.clustercontrol.bean.Property;
import com.clustercontrol.repository.ejb.session.RepositoryController;
import com.clustercontrol.repository.util.EjbConnectionManager;
import com.clustercontrol.util.Messages;
import com.clustercontrol.util.PropertyUtil;

/**
 * SNMPを利用してノードの情報を取得します。ޤ���
 * 
 * @version 2.3.0
 * @since 2.1.2
 */
public class GetNodePropertyBySNMP {
	
	// ----- instance メソッド ----- //
	
/**
 * 
 */
	public Property  search(Hashtable pollingData,int mode) {
		
		RepositoryController repository = EjbConnectionManager
		.getConnectionManager().getRepositoryController();
		
		try {
			return repository.getNodePropertyBySNMP(pollingData,mode, 
					Locale.getDefault());
		} catch (RemoteException e) {
			if(e instanceof AccessException){
			
				MessageDialog.openInformation(null, Messages.getString("message"),
						Messages.getString("message.accesscontrol.16"));
			}
		}
		return null;
	}
}