/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.troubledetection.factory;

import javax.ejb.FinderException;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.clustercontrol.notify.bean.NotifyInfo;
import com.clustercontrol.notify.factory.SelectSystemNotify;

/**
 * システム通知情報検索クラス
 *
 * @version 2.1.0
 * @since 2.1.0
 */
public class SelectNotify {
	
	protected static Log m_log = LogFactory.getLog( SelectNotify.class );
	
	protected static final String NOTIFY_ID = "SYSMON";
	
	/**
	 * システム通知情報を取得
	 * 
	 * @return notifyInfo
	 * @throws FinderException
	 * @throws NamingException
	 */
	public NotifyInfo getNotify() throws FinderException, NamingException {

		SelectSystemNotify select = new SelectSystemNotify();
		NotifyInfo bean = select.getNotify(NOTIFY_ID);

		return bean;
	}
}
